UpdateRequestProcessorFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.UpdateRequestProcessorFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Class UpdateRequestProcessorFactory

    java.lang.Object
      org.apache.solr.update.processor.UpdateRequestProcessorFactory

All Implemented Interfaces:
  NamedListInitializedPlugin

Direct Known Subclasses:
  LangDetectLanguageIdentifierUpdateProcessorFactory, LogUpdateProcessorFactory, RunUpdateProcessorFactory, SignatureUpdateProcessorFactory, TikaLanguageIdentifierUpdateProcessorFactory, UIMAUpdateRequestProcessorFactory, UniqFieldsUpdateProcessorFactory, URLClassifyProcessorFactory

    public abstract class UpdateRequestProcessorFactory

extends Object
implements NamedListInitializedPlugin

A factory to generate an UpdateRequestProcessor for each request. If the factory needs access to `SolrCore` in initialization, it could implement `SolrCoreAware`

Since:
  solr 1.3

Constructor Summary
`UpdateRequestProcessorFactory()`

Method Summary
`abstract UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
`void` | `init(NamedList args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateRequestProcessorFactory

    public UpdateRequestProcessorFactory()

Method Detail

### init

    public void init(NamedList args)

  Specified by:
    `init` in interface `NamedListInitializedPlugin`

### getInstance

    public abstract UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                                       SolrQueryResponse rsp,
                                                       UpdateRequestProcessor next)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD